#pragma once
#include "config_device.h"

/* DO NOT CHANGE THIS FILE                                           */
/* Contains values that SHOULD be defined to have the sketch working */
/* Modify value in config_device.h instead                           */

#ifndef CONFIG_WEB_DELAY_MS
#define CONFIG_WEB_DELAY_MS 100
#endif

#ifndef CONFIG_SAMPLING_PERIODE_MS
#define CONFIG_SAMPLING_PERIODE_MS 60000
#endif

#ifdef CONFIG_ENABLE_BMP180
#ifndef CONFIG_BMP180_SDA
#define CONFIG_BMP180_SDA 12
#endif
#ifndef CONFIG_BMP180_SLC
#define CONFIG_BMP180_SLC 14
#endif
#endif

#ifndef CONFIG_SSID_NAME
#define CONFIG_SSID_NAME "ESPConfigurator"
#endif

#ifndef CONFIG_MQTT_CONTROLLED_GPIO
#define CONFIG_MQTT_CONTROLLED_GPIO {2, 13}
#endif

#ifndef CONFIG_WEB_CONTROLLED_GPIO
#define CONFIG_WEB_CONTROLLED_GPIO 2
#endif

#ifndef CONFIG_EEPROM_SIZE
#define CONFIG_EEPROM_SIZE 256
#endif
