#pragma once

// Enable Serial Console (Disable to save space and power)
#define CONFIG_SKETCH_DEBUG

// Switch Serial console on gpio 13 and 15 (So you can use GPIO 1 and 3 for other things)
//#define CONFIG_ENABLE_EXTRA_GPIO

// Enable the temperatue and pressure Sensor BMP180 
// (CONFIG_BMP180_SDA and CONFIG_BMP180_SDA should be defined as well)
#define CONFIG_ENABLE_BMP180
#define CONFIG_BMP180_SDA 12
#define CONFIG_BMP180_SCL 14

// Enable light sleep to save some power (http://bbs.espressif.com/viewtopic.php?f=6&t=133&p=485&hilit=sleep+modem#p485)
// Switch off internal LED
// Disable mDNS
//#define CONFIG_ENABLE_POWER_SAVE

/* DEFAULT VALUE ALSO DEFINED IN CONFIG.H */

// Time to sleep between 2 webserver request (increase it reduce battery usage but increase latency)
//#define CONFIG_WEB_DELAY_MS 100

// Get sensors value every X ms
//#define CONFIG_SAMPLING_PERIODE_MS 60000

// Name of the SSID when in AP mode for configuration
//#define CONFIG_SSID_NAME "ESPConfigurator"

// GPIO that can be set or get by mqtt
// Should have less value than MAXSUBSCRIPTIONS
//#define CONFIG_MQTT_CONTROLLED_GPIO {2, 13}


// EEPROM SIZE
//#CONFIG_EEPROM_SIZE 256
